%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: GObject JavaScriptCore bridge
Name: seed
Version: 3.2.0
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
#gw libseed is LGPL, seed is GPL
Patch0: seed-3.2.0-linkage.patch
License: LGPLv3+ and GPLv3+
Group: Development/Other
Url: http://live.gnome.org/Seed
#---------------------------------------
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64ffi-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: webkitgtk3-devel
BuildRequires: gnome-js-common
BuildRequires: readline-devel
BuildRequires: mpfr-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
#---------------------------------------
Requires: %libname = %version-%release

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n %libname
Group: System/Libraries
Summary: GObject JavaScriptCore bridge - shared library

%description -n %libname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n %develname
Summary: GObject JavaScriptCore bridge - development library
Group: Development/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.


%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --enable-gtk-doc --disable-static --with-webkit=3.0
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/seed
%_datadir/seed-gtk3
%_mandir/man1/seed.1*
%_libdir/seed-gtk3

%files -n %libname
%defattr(-,root,root)
%_libdir/libseed-gtk3.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libseed-gtk3.so
%_libdir/pkgconfig/seed.pc
%_includedir/seed-gtk3
%_datadir/gtk-doc/html/seed


%changelog
* Mon Jan 15 2018 bb2 <bb2> - 3.2.0-3pclos2018
- rebuild against updates
- clean up specfile

* Sun Jul 24 2016 bb <bb> 3.2.0-2pclos2016
- rebuild new libffi

* Mon Apr 22 2013 Texstar <texstar at gmail.com> 3.2.0-1pclos2013
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.1-1pclos2011
- 3.1.1
